/* subst.hh
* This file is part of Colorifer
* Copyright (c) 2002,2003,2004 by Stanislav Ievlev
*
* This file is covered by the GNU General Public License,
* which should be included with colorifer as the file COPYING.
*/

#ifndef COLORIFER_SUBST_HH__
#define COLORIFER_SUBST_HH__

#include <pattern.hh>

namespace colorifer
{

	typedef boost::shared_ptr<pattern> pattern_ptr;
	typedef std::vector<pattern_ptr>   pattern_vector;

	struct subst
	{
		void process(const std::string&, std::ostream&);
		void load(std::istream &is); /**< fetch and append patterns from the stream */
		void add(const std::string& command); /**< add next command to processor */

		pattern_vector	patterns_;
		color_map subcolors_;
	};
}


#endif
