/* assert.cc
* This file is part of Colorifer
* Copyright (c) 2002,2003,2004 by Stanislav Ievlev
*
* This file is covered by the GNU General Public License,
* which should be included with colorifer as the file COPYING.
*/

#include <cerrno>
#include <cstring>

#include <sstream>
#include <stdexcept>

#include <assert.hh>

using namespace std;

void alt::make_glibc_assert(const string &expr, const string& file, int line)
{
	ostringstream ost;
	ost << "Assertion '" << expr << "'" << std::endl;
	ost << "error:" << strerror(errno) << std::endl;
	ost << "failed at file:" << file << ":" << line;
	throw runtime_error(ost.str());
}
